Subject: Re: gnu: Add newaita-reborn-icon-theme

From: Disseminate Dissent <[email-masked]>
Date: Sun, 09 Jan 2022 14:40:32 +0000

Hey lilyp,

> There's no reason to set up an icons file.  We have gnome-xyz, which
> carries themes, icon-themes and extensions, which is also visually
> grouped into these categories for the most part.  Sort it into the
> icons there.

It was suggested in the IRC that I make an icons module for independent icon themes that are unaffiliated with GNOME and KDE. But I'd be happy to move it wherever it is preferred.

> Given that this has no release at all, can we really pin the current
> head of master and assume this will be roughly the same Newaita as e.g.
> on Arch or Gnome Look (which for the record is still broken in
> Epiphany)?

I don't follow your line of thought. I'm currently using the icon theme with no issue whatsoever, how would adding it to the repository be any different?

> That Newaita appears to by CC BY-NC-SA, so it'd be disallowed in Guix.

Ah yes, this was the wrong link -- pointing to the original Newaita icons. Newaita-reborn is GPL3. Is the declaration of GPL3 insufficient?

Disseminate,
Peace

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Sunday, January 9th, 2022 at 7:56 AM, Liliana Marie Prikler <[email-masked]> wrote:

> Hi,
>
> > Disseminate Dissent [email-masked]
> >
> > From: paladhammika [email-masked]
>
> You probably want to set up your MUA or git correctly :)
>
> There's no reason to set up an icons file. We have gnome-xyz, which
>
> carries themes, icon-themes and extensions, which is also visually
>
> grouped into these categories for the most part. Sort it into the
>
> icons there.
>
> > -   (let ((commit "1bb3884112bd7d97fcf046ad9eaccebca3983f5b")
> > -          (revision "0"))
> >
> >
> > -   (package
> > -       (name "newaita-reborn-icon-theme")
> >
> >
> > -       (version (git-version "0.0.0" revision commit))
> >
> >
>
> Given that this has no release at all, can we really pin the current
>
> head of master and assume this will be roughly the same Newaita as e.g.
>
> on Arch or Gnome Look (which for the record is still broken in
>
> Epiphany)?
>
> > -       (build-system gnu-build-system)
> >
> >
> > -   (arguments
> > -       '(#:tests? #f
> >
> >
> > -         #:make-flags (list (string-append "PREFIX=" (assoc-ref
> >
> >
> >
> > %outputs "out")))
> >
> > -         #:phases
> >
> >
> > -         (modify-phases %standard-phases
> >
> >
> > -           (delete 'bootstrap)
> >
> >
> > -           (delete 'configure)
> >
> >
> > -           (delete 'build)
> >
> >
> > -           (delete 'install))))
> >
> >
>
> copy-build-system exists, so you might want to use that instead of
>
> whatever this is trying to achieve.
>
> > -       (home-page "https://cbrnix.github.io/Newaita/")
> >
> >
>
> That Newaita appears to by CC BY-NC-SA, so it'd be disallowed in Guix.
>
> On a related note:
>
> > -       (license license:gpl3+))))
> >
> >
>
> We have no ways of claiming that. Upstream only put the GPL (3, no
>
> plus) somewhere in the repo and called it a day. You might want to ask
>
> them to clarify where the license applies and whether it's a plus by
>
> raising an issue.
>
> > -       (synopsis "Newaita Reborn icon theme, remastered, refreshed and
> >
> >
> >
> > made cleaner")
> >
> > -       (description
> >
> >
> > -        "Newaita Reborn is a revision of the Newaita icon theme,
> >
> >
> >
> > resembling
> >
> > +old style icons and the color of material design.")
>
> Less advertisement, more description please :)
>
> Cheers